> For the complete documentation index, see [llms.txt](https://docs.nwc.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nwc.dev/reference-api.md).

# Reference API

- [Overview](https://docs.nwc.dev/reference-api/overview.md): Overview of NWC supported methods
- [get\_info](https://docs.nwc.dev/reference-api/overview/get_info.md): Get specific information about the wallet account
- [get\_balance](https://docs.nwc.dev/reference-api/overview/get_balance.md): Request the balance of the wallet account
- [make\_invoice](https://docs.nwc.dev/reference-api/overview/make_invoice.md): Request an invoice
- [pay\_invoice](https://docs.nwc.dev/reference-api/overview/pay_invoice.md): Requests payment of an invoice.
- [multi\_pay\_invoice](https://docs.nwc.dev/reference-api/overview/multi_pay_invoice.md): Request payment of multiple invoices.
- [pay\_keysend](https://docs.nwc.dev/reference-api/overview/pay_keysend.md)
- [lookup\_invoice](https://docs.nwc.dev/reference-api/overview/lookup_invoice.md): Lookup data of a specific invoice
- [list\_transactions](https://docs.nwc.dev/reference-api/overview/list_transactions.md): List invoices and payments.
- [Error Codes](https://docs.nwc.dev/reference-api/error-codes.md): List of error codes


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nwc.dev/reference-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
